export function diagramPlugin(md, options) {
    function getLangName(info) {
        return info.split(/\s+/g)[0];
    }
    let defaultFenceRenderer = md.renderer.rules.fence;
    function customFenceRenderer(tokens, idx, options, env, slf) {
        let token = tokens[idx];
        let info = token.info.trim();
        let langName = info ? getLangName(info) : '';
        if (langName.toLowerCase() === 'mermaid') {
            return '<div class="mermaid">' + md.utils.escapeHtml(token.content) + '</div>';
        }
        return defaultFenceRenderer(tokens, idx, options, env, slf);
    }
    md.renderer.rules.fence = customFenceRenderer;
}
//# sourceMappingURL=simple-mermaid.plugin.js.map